gi-harfbuzz-0.0.10: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.PaintFuncsT

Contents

- Exported types
- Methods

Description

Glyph paint callbacks.

The callbacks assume that the caller maintains a stack of current transforms, clips and intermediate surfaces, as evidenced by the pairs of push/pop callbacks. The push/pop calls will be properly nested, so it is fine to store the different kinds of object on a single stack.

Not all callbacks are required for all kinds of glyphs. For rendering COLRv0 or non-color outline glyphs, the gradient callbacks are not needed, and the composite callback only needs to handle simple alpha compositing (`HB_PAINT_COMPOSITE_MODE_SRC_OVER`).

The paint-image callback is only needed for glyphs with image blobs in the CBDT, sbix or SVG tables.

The custom-palette-color callback is only necessary if you want to override colors from the font palette with custom colors.

Since: 7.0.0

Synopsis

- newtype PaintFuncsT = PaintFuncsT (ManagedPtr PaintFuncsT)

# Exported types

newtype PaintFuncsT Source #

Memory-managed wrapper type.

Constructors

PaintFuncsT (ManagedPtr PaintFuncsT) |

#### Instances

Instances details

Eq PaintFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.PaintFuncsT Methods (==) :: PaintFuncsT -> PaintFuncsT -> Bool Source # (/=) :: PaintFuncsT -> PaintFuncsT -> Bool Source #
GBoxed PaintFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.PaintFuncsT
ManagedPtrNewtype PaintFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.PaintFuncsT Methods toManagedPtr :: PaintFuncsT -> ManagedPtr PaintFuncsT Source #
TypedObject PaintFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.PaintFuncsT Methods glibType :: IO GType Source #
HasParentTypes PaintFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.PaintFuncsT
IsGValue (Maybe PaintFuncsT) Source # | Convert `PaintFuncsT` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.PaintFuncsT Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe PaintFuncsT -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe PaintFuncsT) Source #
type ParentTypes PaintFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.PaintFuncsT type ParentTypes PaintFuncsT = '[] :: [Type]

# Methods